"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ComponentUrl = void 0;
function _queryString() {
  const data = _interopRequireDefault(require("query-string"));
  _queryString = function () {
    return data;
  };
  return data;
}
function _baseUiUtilsString() {
  const data = require("@teambit/base-ui.utils.string.affix");
  _baseUiUtilsString = function () {
    return data;
  };
  return data;
}
function _constants() {
  const data = require("./constants");
  _constants = function () {
    return data;
  };
  return data;
}
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/** stringifies a component id to a url */
const ComponentUrl = exports.ComponentUrl = {
  toUrl,
  toPathname,
  toQuery
};
function toUrl(id, options = {}) {
  const query = _queryString().default.stringify(toQuery(id, options));
  const {
    useLocationOrigin
  } = options;
  const domain = useLocationOrigin ? window.location.origin : _constants().baseUrl;
  return `${domain}/${toPathname(id)}${(0, _baseUiUtilsString().affix)('?', query)}`;
}
function toPathname(id) {
  return id.toString({
    ignoreVersion: true
  }).replace('.', '/');
}
const semverRegex = /[\^~]/;
function toQuery(id, {
  includeVersion = true
} = {}) {
  const version = includeVersion && id.version !== 'latest' ? id.version?.replace(semverRegex, '') : undefined;
  return {
    version
  };
}

//# sourceMappingURL=component-url.js.map