"use strict";

function _chai() {
  const data = require("chai");
  _chai = function () {
    return data;
  };
  return data;
}
function _componentId() {
  const data = require("@teambit/component-id");
  _componentId = function () {
    return data;
  };
  return data;
}
function _componentUrl() {
  const data = require("./component-url");
  _componentUrl = function () {
    return data;
  };
  return data;
}
function _constants() {
  const data = require("./constants");
  _constants = function () {
    return data;
  };
  return data;
}
describe('component url', () => {
  it('should convert to url', () => {
    const id = _componentId().ComponentID.fromString('teambit.component/component-id@0.0.312');
    const result = _componentUrl().ComponentUrl.toUrl(id);
    (0, _chai().expect)(result).to.equal(`${_constants().baseUrl}/teambit/component/component-id?version=0.0.312`);
  });
  it('should not require version', () => {
    const id = _componentId().ComponentID.fromString('teambit.component/component-id');
    const result = _componentUrl().ComponentUrl.toUrl(id);
    (0, _chai().expect)(result).to.equal(`${_constants().baseUrl}/teambit/component/component-id`);
  });
  it('should skip url when opt out in options', () => {
    const id = _componentId().ComponentID.fromString('teambit.component/component-id@0.0.312');
    const result = _componentUrl().ComponentUrl.toUrl(id, {
      includeVersion: false
    });
    (0, _chai().expect)(result).to.equal(`${_constants().baseUrl}/teambit/component/component-id`);
  });
});

//# sourceMappingURL=component-url.spec.js.map